GetPrincipalAttributeValue
curl --request GET \
--url https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"principalAttributeValue": {
"principalAttributeValueId": "<string>",
"principalAttributeKeyId": "<string>",
"principalId": "<string>",
"principalType": "PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_UNSPECIFIED",
"organizationId": "<string>",
"createdByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"key": {
"principalAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "PRINCIPAL_ATTRIBUTE_VALUE_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"principalAttributeEnumValueId": "<string>",
"numberValue": "<string>",
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"enumValueDetails": {
"principalAttributeEnumValueId": "<string>",
"principalAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}PrincipalAttributeService
GetPrincipalAttributeValue
Retrieves a principal attribute value.
GET
/
api
/
v1
/
principal-attribute-values
/
{principalAttributeValueId}
GetPrincipalAttributeValue
curl --request GET \
--url https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/principal-attribute-values/{principalAttributeValueId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"principalAttributeValue": {
"principalAttributeValueId": "<string>",
"principalAttributeKeyId": "<string>",
"principalId": "<string>",
"principalType": "PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_UNSPECIFIED",
"organizationId": "<string>",
"createdByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"key": {
"principalAttributeKeyId": "<string>",
"organizationId": "<string>",
"displayName": "<string>",
"type": "PRINCIPAL_ATTRIBUTE_VALUE_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"principalAttributeEnumValueId": "<string>",
"numberValue": "<string>",
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"enumValueDetails": {
"principalAttributeEnumValueId": "<string>",
"principalAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_UNSPECIFIED, PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_USER, PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_USER_GROUP Response
A successful response.
GetPrincipalAttributeValueResponse returns a principal attribute value from a GetPrincipalAttributeValue call.
Show child attributes
Show child attributes
Was this page helpful?
⌘I